com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowColumnsInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowColumnsInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowColumnsInfo
    extends Object

Data container for column metadata returned by the SHOW COLUMNS command.

This class represents comprehensive column information including standard SQL metadata (name, type, nullability, defaults) and Redshift-specific attributes (sort keys, distribution keys, encoding). Used by JDBC metadata methods like getColumns() to provide structured access to column information.

Redshift-specific fields include:

- sortKeyType/sortKey: Column's role in table sorting
- distKey: Whether column is used for data distribution
- encoding: Column compression encoding (e.g., LZO, DELTA)

See Also:
  `DatabaseMetaData.getColumns(String, String, String, String)`, `MetadataServerProxy.getColumns(String, String, String, String, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowColumnsInfo(String databaseName, String schemaName, String tableName, String columnName, String ordinalPosition, String columnDefault, String isNullable, String dataType, String characterMaximumLength, String numericPrecision, String numericScale, String remarks, String sortKeyType, String sortKey, String distKey, String encoding, String collation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCharacterMaximumLength()`
`String` `getCollation()`
`String` `getColumnDefault()`
`String` `getColumnName()`
`String` `getDatabaseName()`
`String` `getDataType()`
`String` `getDistKey()`
`String` `getEncoding()`
`String` `getIsNullable()`
`String` `getNumericPrecision()`
`String` `getNumericScale()`
`String` `getOrdinalPosition()`
`String` `getRemarks()`
`String` `getSchemaName()`
`String` `getSortKey()`
`String` `getSortKeyType()`
`String` `getTableName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowColumnsInfo

    public ShowColumnsInfo(String databaseName,
                           String schemaName,
                           String tableName,
                           String columnName,
                           String ordinalPosition,
                           String columnDefault,
                           String isNullable,
                           String dataType,
                           String characterMaximumLength,
                           String numericPrecision,
                           String numericScale,
                           String remarks,
                           String sortKeyType,
                           String sortKey,
                           String distKey,
                           String encoding,
                           String collation)

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()

#### getTableName

    public String getTableName()

#### getColumnName

    public String getColumnName()

#### getOrdinalPosition

    public String getOrdinalPosition()

#### getColumnDefault

    public String getColumnDefault()

#### getIsNullable

    public String getIsNullable()

#### getDataType

    public String getDataType()

#### getCharacterMaximumLength

    public String getCharacterMaximumLength()

#### getNumericPrecision

    public String getNumericPrecision()

#### getNumericScale

    public String getNumericScale()

#### getRemarks

    public String getRemarks()

#### getSortKeyType

    public String getSortKeyType()

#### getSortKey

    public String getSortKey()

#### getDistKey

    public String getDistKey()

#### getEncoding

    public String getEncoding()

#### getCollation

    public String getCollation()